QGIS Application - Bug report #6172
QGIS freezes when deleting features from big PostGIS table
2012-08-08 01:12 PM - Serge Dikiy

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15489
Description

Hi,

I have PostGIS table with 10e6 features. "Scale dependent” is set to display only 100-500 features. All work very fast..

But, if | want delete some features... QGIS freezes... because QGIS gets all 10e6 features from PostGIS.

See attachment.(test table have only 60 features)

BR.

Associated revisions

Revision 2ab02218 - 2012-08-09 12:30 AM - Jiirgen Fischer

recalculate vector layer extent only when necessary (fixes #6172)

History

#1 - 2012-08-08 02:45 PM - Juirgen Fischer
- Category changed from Data Provider/PostGIS to Vectors

Not a postgres provider problem. After features are deleted, the layer extents are recalculated by iterating all not deleted features.

#2 - 2012-08-08 03:36 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"2ab022184d377d1f50614b2887e18cef05eb38e1".

#3 - 2012-08-09 02:13 AM - Serge Dikiy

Thank you, jef

Everything works great!
qgis_del_Feature.txt 28.6 KB 2012-08-08 Serge Dikiy
